<?php

  $tour_travel_package_color_palette_css = '';

	// Global Color

	$tour_travel_package_first_color = tour_travel_package_get_option('tour_travel_package_first_color');

	if($tour_travel_package_first_color != false){
		$tour_travel_package_color_palette_css .=':root {';
			$tour_travel_package_color_palette_css .='--primary-color: '.esc_attr($tour_travel_package_first_color).'!important;';
		$tour_travel_package_color_palette_css .='}';
	}

  /*-------------- Copyright Text Align-------------------*/

	$tour_travel_package_copyright_text_align = tour_travel_package_get_option('tour_travel_package_copyright_text_align');
	$tour_travel_package_color_palette_css .='.site-footer{';
	$tour_travel_package_color_palette_css .='text-align: '.esc_attr($tour_travel_package_copyright_text_align).' !important;';
	$tour_travel_package_color_palette_css .='}';
	$tour_travel_package_color_palette_css .='
	@media screen and (max-width:575px) {
	.site-footer{';
	$tour_travel_package_color_palette_css .='text-align: center !important;';
	$tour_travel_package_color_palette_css .='} }';

  // copyright font size
	$tour_travel_package_copyright_text_font_size = tour_travel_package_get_option('tour_travel_package_copyright_text_font_size');
	$tour_travel_package_color_palette_css .='#colophon p, #colophon a , #colophon{';
	$tour_travel_package_color_palette_css .='font-size: '.esc_attr($tour_travel_package_copyright_text_font_size).'px;';
	$tour_travel_package_color_palette_css .='}';

	// Copyright Background Color
	$tour_travel_package_copyright_background_color = tour_travel_package_get_option('tour_travel_package_copyright_background_color');
	$tour_travel_package_color_palette_css .='#colophon {';
	$tour_travel_package_color_palette_css .='background: '.esc_attr($tour_travel_package_copyright_background_color);
	$tour_travel_package_color_palette_css .='}';

	// Copyright Text Color
	$tour_travel_package_copyright_text_color = tour_travel_package_get_option('tour_travel_package_copyright_text_color');
	$tour_travel_package_color_palette_css .='#colophon a , #colophon{';
	$tour_travel_package_color_palette_css .='color: '.esc_attr($tour_travel_package_copyright_text_color);
	$tour_travel_package_color_palette_css .='}';	

	// Site title And tagline Option
	$tour_travel_package_site_title_font_size = tour_travel_package_get_option('tour_travel_package_site_title_font_size');
	$tour_travel_package_site_title_color = tour_travel_package_get_option('tour_travel_package_site_title_color');
	$tour_travel_package_color_palette_css .='.site-title>a , .site-title {';
		$tour_travel_package_color_palette_css .='font-size: '.esc_attr($tour_travel_package_site_title_font_size).'px;';
		$tour_travel_package_color_palette_css .='color: '.esc_attr($tour_travel_package_site_title_color).';';
	$tour_travel_package_color_palette_css .='}';
	
	$tour_travel_package_site_tagline_font_size = tour_travel_package_get_option('tour_travel_package_site_tagline_font_size');
	if($tour_travel_package_site_tagline_font_size != false){
		$tour_travel_package_color_palette_css .='.site-description {';
			$tour_travel_package_color_palette_css .='font-size: '.esc_attr($tour_travel_package_site_tagline_font_size).'px;';
		$tour_travel_package_color_palette_css .='}';
	}

	//First Cap
	$tour_travel_package_show_first_caps = tour_travel_package_get_option('tour_travel_package_show_first_caps', false);
	if($tour_travel_package_show_first_caps == 'true' ){
	$tour_travel_package_color_palette_css .='.blog-content .text-content p:nth-of-type(1)::first-letter{';
	$tour_travel_package_color_palette_css .=' font-size: 50px; font-weight: 600;';
	$tour_travel_package_color_palette_css .=' margin-right: 5px;';
	$tour_travel_package_color_palette_css .=' line-height: 1;';
	$tour_travel_package_color_palette_css .='}';
	}elseif($tour_travel_package_show_first_caps == 'false' ){
	$tour_travel_package_color_palette_css .='.blog-content .text-content p:nth-of-type(1)::first-letter {';
	$tour_travel_package_color_palette_css .='display: none;';
	$tour_travel_package_color_palette_css .='}';
	}

	// preloader background image
	$tour_travel_package_show_preloader_background_image = tour_travel_package_get_option('tour_travel_package_show_preloader_background_image');
	if($tour_travel_package_show_preloader_background_image != false){
		$tour_travel_package_color_palette_css .='#preloader {';
			$tour_travel_package_color_palette_css .='background: url('.esc_attr($tour_travel_package_show_preloader_background_image).');-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$tour_travel_package_color_palette_css .='}';
	}	

	// Sticky Copyright

	$tour_travel_package_resp_stickycopyright = tour_travel_package_get_option( 'tour_travel_package_stickycopyright_hide_show',false);
    if($tour_travel_package_resp_stickycopyright == true && tour_travel_package_get_option( 'tour_travel_package_copyright_sticky',false) != true){
        $tour_travel_package_color_palette_css  .='.copyright-sticky{';
            $tour_travel_package_color_palette_css  .='position:static;';
        $tour_travel_package_color_palette_css  .='} ';
    }